"{ Package: 'exept:regression' }"

"{ NameSpace: RegressionTests }"

TestCase subclass:#ClassBuilderTests
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'tests-Regression'
!


!ClassBuilderTests methodsFor:'tests'!

test_pools_01
    | pool class |

    pool := SharedPool subclass: #NewSharedPool1
        instanceVariableNames: ''
        classVariableNames: 'PoolVar1 PoolVar2'
        poolDictionaries: ''  
        category: 'System-Compiler-Mocks'.

    class := Object subclass: #NewClass
        instanceVariableNames: ''
        classVariableNames: ''
        poolDictionaries: 'NewSharedPool1'
        category: 'System-Compiler-Mocks'.

    self assert: class sharedPoolNames asArray = #(NewSharedPool1).

    class := Object subclass: #NewClass
        instanceVariableNames: ''
        classVariableNames: ''
        poolDictionaries: ''
        category: 'System-Compiler-Mocks'.

    self assert: class sharedPoolNames isEmpty.


    Smalltalk removeClass: pool; removeClass: class.

    "Created: / 07-02-2013 / 18:00:50 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!ClassBuilderTests class methodsFor:'documentation'!

version
    ^ '$Header$'
!

version_CVS
    ^ '$Header$'
! !

